Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# EventChannel.cpp File Reference

`#include "EventChannel.h"`
`#include "EventChannel.inl"`
`#include "Container_T.h"`
`#include "EventChannelFactory.h"`
`#include "ConsumerAdmin.h"`
`#include "SupplierAdmin.h"`
`#include "Event_Manager.h"`
`#include "Properties.h"`
`#include "Factory.h"`
`#include "Builder.h"`
`#include "Find_Worker_T.h"`
`#include "Seq_Worker_T.h"`

Include dependency graph for EventChannel.cpp:

## Typedefs
typedef TAO_Notify_Find_Worker_T< TAO_Notify_ConsumerAdmin, CosNotifyChannelAdmin::ConsumerAdmin, CosNotifyChannelAdmin::ConsumerAdmin_ptr, CosNotifyChannelAdmin::AdminNotFound > | TAO_Notify_ConsumerAdmin_Find_Worker
typedef TAO_Notify_Find_Worker_T< TAO_Notify_SupplierAdmin, CosNotifyChannelAdmin::SupplierAdmin, CosNotifyChannelAdmin::SupplierAdmin_ptr, CosNotifyChannelAdmin::AdminNotFound > | TAO_Notify_SupplierAdmin_Find_Worker
typedef TAO_Notify_Seq_Worker_T< TAO_Notify_ConsumerAdmin > | TAO_Notify_ConsumerAdmin_Seq_Worker
typedef TAO_Notify_Seq_Worker_T< TAO_Notify_SupplierAdmin > | TAO_Notify_SupplierAdmin_Seq_Worker
## Functions
const char * | get_rcsid_Notify_TAO_Notify_EventChannel (const char *)
## Variables
const char * | rcsid_Notify_TAO_Notify_EventChannel = get_rcsid_Notify_TAO_Notify_EventChannel ( rcsid_Notify_TAO_Notify_EventChannel )

## Typedef Documentation

typedef TAO_Notify_Find_Worker_T<TAO_Notify_ConsumerAdmin , CosNotifyChannelAdmin::ConsumerAdmin , CosNotifyChannelAdmin::ConsumerAdmin_ptr , CosNotifyChannelAdmin::AdminNotFound> TAO_Notify_ConsumerAdmin_Find_Worker

typedef TAO_Notify_Seq_Worker_T<TAO_Notify_ConsumerAdmin> TAO_Notify_ConsumerAdmin_Seq_Worker

typedef TAO_Notify_Find_Worker_T<TAO_Notify_SupplierAdmin , CosNotifyChannelAdmin::SupplierAdmin , CosNotifyChannelAdmin::SupplierAdmin_ptr , CosNotifyChannelAdmin::AdminNotFound> TAO_Notify_SupplierAdmin_Find_Worker

typedef TAO_Notify_Seq_Worker_T<TAO_Notify_SupplierAdmin> TAO_Notify_SupplierAdmin_Seq_Worker

## Function Documentation

const char* get_rcsid_Notify_TAO_Notify_EventChannel | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_Notify_TAO_Notify_EventChannel = get_rcsid_Notify_TAO_Notify_EventChannel ( rcsid_Notify_TAO_Notify_EventChannel )`[static]`